
#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class FontDisplay : public iglu::IGLUDisplayMode {
public:
	FontDisplay() : IGLUDisplayMode() {}
	virtual ~FontDisplay() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "IGLU Font Demonstration"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "Displays IGLU's built-in font that can be used via the static "
	           "method IGLUDraw::DrawText().  The input is an array of (signed "
			   "or unsigned) characters, which are essentially cast to unsigned "
			   "chars, and displayed using the characters visible here."; 
	}

private:

};